com.tibco.bpm.service.connector

## Class ExporterService

- java.lang.Object
- - com.tibco.bpm.service.connector.ExporterService

- All Implemented Interfaces:
    ExporterService

      public class ExporterService
      extends java.lang.Object
      implements ExporterService

  Provides access to the ExporterService interfaces.

  ©2011 TIBCO Software Inc.
  Since:
    1.2

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.tibco.n2.de.api.exporter.ExportResource` | `exportResources(com.tibco.n2.de.api.exporter.ExportResourcesRequestDocument.ExportResourcesRequest options)` Exports all LDAP Container definitions, and the Resource derived from them.
    `boolean` | `importResources(com.tibco.n2.de.api.exporter.ExportResource exportResource)` Imports a collection of LDAP Container definitions, and any Resources derived from them.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### exportResources

          public com.tibco.n2.de.api.exporter.ExportResource exportResources(com.tibco.n2.de.api.exporter.ExportResourcesRequestDocument.ExportResourcesRequest options)
                                                                      throws com.tibco.n2.de.services.InternalServiceFault

      Description copied from interface: `ExporterService`
      Exports all LDAP Container definitions, and the Resource derived from them. The exported Resources will include the Position and Group mappings.
      Specified by:
        `exportResources` in interface `ExporterService`
      Returns:
      Throws:
        `com.tibco.n2.de.services.InternalServiceFault`

    - #### importResources

          public boolean importResources(com.tibco.n2.de.api.exporter.ExportResource exportResource)
                                  throws com.tibco.n2.de.services.InternalServiceFault,
                                         com.tibco.n2.de.services.InvalidLDAPContainerFault,
                                         com.tibco.n2.de.services.InvalidEntityReferenceFault,
                                         com.tibco.n2.de.services.InvalidModelImportFault

      Description copied from interface: `ExporterService`
      Imports a collection of LDAP Container definitions, and any Resources derived from them.
      Specified by:
        `importResources` in interface `ExporterService`
      Returns:
      Throws:
        `com.tibco.n2.de.services.InternalServiceFault`
        `com.tibco.n2.de.services.InvalidLDAPContainerFault`
        `com.tibco.n2.de.services.InvalidEntityReferenceFault`
        `com.tibco.n2.de.services.InvalidModelImportFault`

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.